OBTENER /groups/{groupId}/apps/{appId}/deployments

Return the 25 most recent application deployments.

Parámetros de path

Respuestas

  • 200 aplicación/json

    Successfully listed.

    Ocultar atributos de respuesta Mostrar los atributos de respuesta Objeto
    • _id string

      The unique ID of the deployment.

    • Nombre string

      El nombre de la implementación. Por defecto, este valor es el mismo que _id.

    • id de la aplicación string

      El valor único _id de la aplicación Atlas App Services.

    • draft_id string

      The unique _id value of the deployment draft associated with the deployment, if applicable.

    • user_id string

      The unique _id value of the MongoDB Cloud user that deployed the draft.

    • deployed_at entero

      The time at which the deployment was made. Represented as the number of seconds since January 1, 1970.

    • origin string

      El método de implementación utilizado para crear la implementación.

    • confirmación string

      El hash de confirmación de la implementación (Implementación Automática de GitHub)

    • Estado string

      A message that indicates whether or not the deployment was successful.

    • status_error_message string

      The error message of the error that caused the deployment to fail, if applicable.

    • URL de diferencia string

      A link to the diff of changes in the deployment

    • remote_location string

      An identifier of the location where an app server is physically deployed to, regardless of the cloud provider that hosts the app.

      Los valores son US-VA, US-OR, DE-FF, IE, AU, IN-MB, SG o BR-SP.

GET /groups/{groupId}/apps/{appId}/deployments
curl \
 --request GET 'https://services.cloud.mongodb.com/api/admin/v3.0/groups/{groupId}/apps/{appId}/deployments' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Ejemplos de respuestas (200)
[
  {
    "_id": "string",
    "name": "string",
    "app_id": "string",
    "draft_id": "string",
    "user_id": "string",
    "deployed_at": 42,
    "origin": "string",
    "commit": "string",
    "status": "string",
    "status_error_message": "string",
    "diff_url": "string",
    "remote_location": "US-VA"
  }
]